import request from '@/utils/request';

/*  费用申请  */


// 列表
export async function settlementAccountPageListAPI(data) {
  let par = new URLSearchParams(data);
  const res = await request.get(`/eom/finsettlementaccount/list?` + par, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 新增
export async function settlementAccountSaveAPI(data) {
  const res = await request.post(`/eom/finsettlementaccount/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 编辑
export async function settlementAccountUpdateAPI(data) {
  const res = await request.put(`/eom/finsettlementaccount/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 信息
export async function getSettlementAccountInfoAPI(id) {
  const res = await request.get(`/eom/finsettlementaccount/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 删除
export async function settlementAccountRemoveAPI(data) {
  const res = await request.delete('/eom/finsettlementaccount/delete', {data});
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 提交-开启流程
export async function settlementAccountSubmit(data) {
  const res = await request.post('/bpm/finsettlementaccount/submit', data);
  if (res.data.code == 0) {
    return res.data;
  }
  return Promise.reject(new Error(res.data.message));
}
